shishi_asn1_to_der(3)

NAME
shishi_asn1_to_der - API function

SYNOPSIS
#include <shishi.h>

int shishi_asn1_to_der(Shishi * handle, Shishi_asn1 node, char ** der, size_t * len);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 data to convert to DER.

char ** der
    output array that holds DER encoding of node.

size_t * len
    output variable with length of der output array.

DESCRIPTION
Extract newly allocated DER representation of specified ASN.1 data.

RETURN VALUE
Returns SHISHI_OK if successful, or SHISHI_ASN1_ERROR if DER encoding fails (common reasons for this is that the ASN.1 is missing required values).

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.